欢迎来到电脑知识学习网,专业的电脑知识大全学习平台!

手机版

CentOS上SSH客户端PAC Manager的安装流程讲解

操作系统 发布时间:2019-03-16

对于在 Windows 上经常需要远程管理 Linux 服务器的 SA 们来说,也许会觉得 SecureCRT 非常好用,因为它是一个强大的 SSH 帐号管理工具,而且可以记住密码,但这个是收费软件。而现在如果你想在 CentOS 上也需要这样一款软件的话,那么 PAC Manager 也许正是你要寻找,它是一款非常不错的替代品,而且完全开源免费。

功能:
1.支持远程及本地宏命令。
2.支持 EXPECT 批处理。
3.支持代理。
4.支持集群连接。
5.支持标签或窗口。
6.批量帐号管理等等。
下载地址:http://sourceforge.net/projects/pacmanager/files/pac-4.0/
我下载的是:pac-4.5.3.5-2.x86_64.rpm

执行命令安装:
 

复制代码
代码如下:

rpm -ivh pac-4.5.3.5-2.x86_64.rpm

但是报出如下错误:
error: Failed dependencies:
ftp is needed by pac-4.5.3.5-2.x86_64
perl(Crypt::CBC) is needed by pac-4.5.3.5-2.x86_64
perl(Crypt::Rijndael) is needed by pac-4.5.3.5-2.x86_64
perl(Digest::SHA) is needed by pac-4.5.3.5-2.x86_64
perl(Expect) is needed by pac-4.5.3.5-2.x86_64
perl(Gnome2::GConf) is needed by pac-4.5.3.5-2.x86_64
perl(Gtk2) is needed by pac-4.5.3.5-2.x86_64
perl(Gtk2::Ex::Simple::List) is needed by pac-4.5.3.5-2.x86_64
perl(Gtk2::Ex::Simple::TiedCommon) is needed by pac-4.5.3.5-2.x86_64
perl(Gtk2::GladeXML) is needed by pac-4.5.3.5-2.x86_64
perl(Net::ARP) is needed by pac-4.5.3.5-2.x86_64
perl(OSSP::uuid) is needed by pac-4.5.3.5-2.x86_64
perl(Socket6) is needed by pac-4.5.3.5-2.x86_64
perl(Time::HiRes) is needed by pac-4.5.3.5-2.x86_64
perl(YAML) is needed by pac-4.5.3.5-2.x86_64
perl-Crypt-Blowfish is needed by pac-4.5.3.5-2.x86_64
perl-Crypt-Rijndael is needed by pac-4.5.3.5-2.x86_64
说明缺了不少的信赖,依次安装。
首先安装 epel 源,这个因为先前我装其它软件的时候装过了,这里就不装了:

复制代码
代码如下:

# rpm -Uvh http://download.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm</pre>

安装依赖:

复制代码
代码如下:

# yum install ftp perl-Crypt-Blowfish perl-Crypt-CBC perl-Crypt-Rijndael perl-Digest-SHA perl-Expect perl-Gtk2 perl-IO-Stty perl-Net-ARP perl-YAML perl-Cairo perl-Glib perl-IO-Tty perl-Pango uuid-perl
perl-Gnome2-GConf perl-Gtk2-Ex-Simple-List perl-Gtk2-GladeXML 这三个包不在源内,下载下来手工安装:
# wget http://apt.sw.be/redhat/el6/en/x86_64/rpmforge/RPMS/perl-Gnome2-GConf-1.044-1.el6.rf.x86_64.rpm
# wget http://li.nux.ro/download/nux/dextop/el6/i386/perl-Gtk2-Ex-Simple-List-0.50-13.el6.nux.noarch.rpm
# wget http://apt.sw.be/redhat/el6/en/x86_64/rpmforge/RPMS/perl-Gtk2-GladeXML-1.007-1.el6.rf.x86_64.rpm
# rpm -ivh perl-Gnome2-GConf-1.044-1.el6.rf.x86_64.rpm perl-Gtk2-Ex-Simple-List-0.50-13.el6.nux.noarch.rpm perl-Gtk2-GladeXML-1.007-1.el6.rf.x86_64.rpm

以上是网上说的一些信赖,但是我在实际安装的时候,发现还缺少下面的信赖:
perl(Socket6) is needed by pac-4.5.3.5-2.x86_64
perl(Time::HiRes) is needed by pac-4.5.3.5-2.x86_64
telnet is needed by pac-4.5.3.5-2.x86_64
继续安装:

复制代码
代码如下:

yum install perl-Socket6
yum install perl-Time-HiRes
yum install telnet

安装完成,再继续执行命令:

复制代码
代码如下:

rpm -ivh pac-4.5.3.5-2.x86_64.rpm

安装成功,可以使用了。

 

在实际的使用中,发现ssh连接很慢,而且要在connection的proxy中,勾选Never use any proxy for this connection,不然会连接不上,系统中并没有设置代理,原因不明。


责任编辑:电脑知识学习网

操作系统